Gravatar for ssartell@rightpoint.com

Question by ssartell, Jan 17, 2017 9:37 AM

Coveo for Sitecore compatibility?

I'm trying to install Coveo for Sitecore 4.0.290 on Sitecore 8.0 update 2, but it's saying that "these versions are incompatible". However, when I look at the supported versions via the below link, it says 4.0.171+ which seems like it should work. Am I misunderstanding that page?

https://developers.coveo.com/display/public/SitecoreV4/Supported+Sitecore+Versions

Gravatar for dberube@coveo.com

Comment by Dominic Berube, Jan 17, 2017 9:53 AM

Hi,

This version of Sitecore (8.0.150223) should be compatible with Coveo for Sitecore 4.0.290 in the Diagnostic Page. Are you using a Hot Fix of Sitecore or something that could change the version of Sitecore? In the Diagnostic Page, what is the Current Sitecore version?

Gravatar for ssartell@rightpoint.com

Comment by ssartell, Jan 17, 2017 9:58 AM

I am using the following hotfix: https://kb.sitecore.net/articles/998758

Here's what the diagnostic page says: Current Coveo for Sitecore version: 4.0.290.0 Current Sitecore version: 8.0.150223 Compatibility status: these versions are incompatible. Sitecore 8.1.160519 is expected.

If I try to open up the index manager, I get the following error: Could not find add method: AddFromConfiguration (type: Sitecore.ContentSearch.VirtualFieldProcessorMap)

1 Reply
Gravatar for dberube@coveo.com

Answer by Dominic Berube, Jan 17, 2017 10:41 AM

Hi,

You have probably installed the Coveo for Sitecore 8.1 package instead of the 8.0 package. I was able to reproduce the exact same issue on my Sitecore 8.0 Update 2 instance with the 8.1 package.

Dom

Gravatar for ssartell@rightpoint.com

Comment by ssartell, Jan 17, 2017 11:46 AM

Oh derp. Apparently I have too many projects with different versions of Sitecore going on at once. Thank you!

Ask a question